#ifndef TMABOUT_H
#define TMABOUT_H

#include <RQ_OBJECT.h>
#include <TGFrame.h>
#include <TGButton.h>

class TGTextView;

class TMAbout : public TGTransientFrame {

RQ_OBJECT("TMAbout")
    
    private :
    
        TGGroupFrame        *fGroup;
        TGTextView          *fTextView;
        TGPictureButton     *fPictureButton;
        TGLayoutHints	    *fL;
        Bool_t               fLetUserCloseWindow;
        
    public :
    
        enum EEvents {
            BUTTON_CLOSE
        };
        TMAbout(const TGWindow* p, const TGWindow *main, const Char_t *aboutWhat);
        virtual ~TMAbout(); 
        virtual void CloseWindow();
	virtual Bool_t ProcessMessage(Long_t msg, Long_t parm1, Long_t parm2);
		
    ClassDef(TMAbout, 1) // TMAbout Class
};

#endif
